import { XmlNode, XmlNodeType } from "./xml";
import { Base, Type } from "./type";
export declare abstract class XObject extends Base {
    constructor(a: XmlNode);
    private _backingNode;
    protected backingNode: XmlNode;
    readonly abstract c: XmlNodeType;
    toString(): string;
    static $t: Type;
}
